## obs-pipewire-audio-capture 1.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(linux-pipewire-audio)

include(GNUInstallDirs)

set(linux-pipewire-audio_SOURCES
			src/linux-pipewire-audio.c
			src/pipewire-audio.h
			src/pipewire-audio.c
			src/pipewire-audio-capture-device.c
			src/pipewire-audio-capture-app.c
)

add_library(linux-pipewire-audio MODULE ${linux-pipewire-audio_SOURCES})

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")

find_package(libobs REQUIRED)
find_package(PipeWire REQUIRED)

set(linux-pipewire-audio_INCLUDES
	${PIPEWIRE_INCLUDE_DIRS}
	${SPA_INCLUDE_DIRS}
)

add_definitions(
	${PIPEWIRE_DEFINITIONS}
)

set(linux-pipewire-audio_LIBRARIES
	OBS::libobs
	${PIPEWIRE_LIBRARIES}
)

target_link_libraries(linux-pipewire-audio ${linux-pipewire-audio_LIBRARIES})

include_directories(SYSTEM
	${linux-pipewire-audio_INCLUDES}
)

set_target_properties(linux-pipewire-audio PROPERTIES PREFIX "")

install(TARGETS linux-pipewire-audio LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/obs-plugins)
install(DIRECTORY data/locale DESTINATION ${CMAKE_INSTALL_PREFIX}/share/obs/obs-plugins/linux-pipewire-audio)

=== debian/changelog ===
obs-pipewire-audio-capture (1.1.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1056654)

 -- Rhonda D'Vine <rhonda@debian.org>  Wed, 24 Jul 2024 09:30:29 +0200

=== debian/control ===
Source: obs-pipewire-audio-capture
Section: sound
Priority: optional
Maintainer: Rhonda D'Vine <rhonda@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 pkgconf,
 libobs-dev,
 libpipewire-0.3-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/dimtpap/obs-pipewire-audio-capture/
Vcs-Browser: https://salsa.debian.org/debian/obs-pipewire-audio-capture
Vcs-Git: https://salsa.debian.org/debian/obs-pipewire-audio-capture.git

Package: obs-pipewire-audio-capture
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Audio device and application capture for OBS Studio using PipeWire
 The package adds capture possibilities to OBS to be able to separate desktop
 audio into different channels to be able to mute them or put them into a
 different recording/streaming track.

=== debian/watch ===
version=4
USCAN_SYMLINK=rename
https://github.com/dimtpap/obs-pipewire-audio-capture/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## obs-pipewire-audio-capture 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,7 @@
 )
 
 target_link_libraries(linux-pipewire-audio ${linux-pipewire-audio_LIBRARIES})
+target_compile_options(linux-pipewire-audio PRIVATE -Wall)
 
 include_directories(SYSTEM
 	${linux-pipewire-audio_INCLUDES}
@@ -40,5 +41,5 @@
 
 set_target_properties(linux-pipewire-audio PROPERTIES PREFIX "")
 
-install(TARGETS linux-pipewire-audio LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/obs-plugins)
-install(DIRECTORY data/locale DESTINATION ${CMAKE_INSTALL_PREFIX}/share/obs/obs-plugins/linux-pipewire-audio)
+install(TARGETS linux-pipewire-audio LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/obs-plugins)
+install(DIRECTORY data/locale DESTINATION ${CMAKE_INSTALL_DATADIR}/obs/obs-plugins/linux-pipewire-audio)

=== debian/changelog ===
obs-pipewire-audio-capture (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2.
  * Bump Copyright years to 2025.

 -- Rhonda D'Vine <rhonda@debian.org>  Fri, 11 Apr 2025 19:45:09 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  pkgconf,
  libobs-dev,
  libpipewire-0.3-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/dimtpap/obs-pipewire-audio-capture/
 Vcs-Browser: https://salsa.debian.org/debian/obs-pipewire-audio-capture
 Vcs-Git: https://salsa.debian.org/debian/obs-pipewire-audio-capture.git

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@
